sábado, 30 de agosto de 2008

Openfire: versão 3.6.0a é igual a 3.6.0 ?

Desde quinta-feira passada os usuários do Openfire estão sendo alertados da disponibilidade da versão 3.6.0a.

Apesar de verificar no Changelog e não notar a existência de qualquer menção sobre a mesma, resolvi baixá-la e atualizar o nosso servidor (pois teoricamente algo importante deveria ter sido corrigido já que a versão 3.6.0 havia sido lançada dois dias antes).

Pois após terminar a instalação, fui então surpreendido com o fato de que mesmo instalando a versão 3.6.0a o sistema continuava ainda acusando que eu estava usando a 3.6.0, e, ainda por cima, me mandando instalar a 3.6.0a novamente...

Depois de reportar o fato na lista Openfire-BR, percebi que o problema também estava ocorrendo com outros formatos de distribuição, como os pacotes .deb (no meu caso, costumo usar o .tar.gz).

Já instalei essa nova versão 3 vezes em 2 locais diferentes, mas sem sucesso. Parece que o problema ainda não foi corrigido até o momento, pois acabei de instalar a 3.6.0a aqui em casa em meu servidor de testes e a situação persiste.

Se alguém tiver mais notícias sobre o fato ou alguma novidade, por favor poste um comentário aqui no blog.

PS: achei uma thread sobre a atualização para o 3.6.0a no Fórum da Ignite Realtime, mas não encontrei nada a respeito disso. Aconselho a todos que leiam a mesma. Postei lá a minha questão e vamos ver o que eu consigo descobrir.

UPDATE: a versão 3.6.0a é para quem teve problemas com a 3.6.0 (o que não foi meu caso...). Recebi a seguinte resposta lá na thread:
Until 3.6.1 is realeased you shouldn't bother about that message in Admin Console. 3.6.0a was a fix of 3.6.0 so that's why it is showing as 3.6.0 i suppose.